KDE 4.7 PyKDE API Reference

- KDE's Python API

# DownloadRegionDialog Class Reference

`from PyKDE4.marble import *`

Inherits: QDialog → QWidget → QObject
Namespace: Marble

## Detailed Description

## Enumerations

SelectionMethod | { VisibleRegionMethod, SpecifiedRegionMethod, RouteDownloadMethod }

## Signals

| applied ()
| hidden ()
| shown ()

## Methods

| hideEvent (self, QHideEvent event)
QVector<Marble::TileCoordsPyramid> | region (self)
QVector<Marble::TileCoordsPyramid> | routeRegion (self)
| setAllowedTileLevelRange (self, int minimumTileLevel, int maximumTileLevel)
| setSelectionMethod (self, Marble.DownloadRegionDialog.SelectionMethod a0)
| setSpecifiedLatLonAltBox (self, Marble.GeoDataLatLonAltBox a0)
| setVisibleLatLonAltBox (self, Marble.GeoDataLatLonAltBox a0)
| setVisibleTileLevel (self, int tileLevel)
| showEvent (self, QShowEvent event)
| updateTextureLayer (self)

## Signal Documentation

applied | ( |  | ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("applied()"), target_slot)`

hidden | ( |  | ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("hidden()"), target_slot)`

shown | ( |  | ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("shown()"), target_slot)`

## Method Documentation

hideEvent | ( | self, |
|  | QHideEvent | event
| ) |  |  |

QVector<Marble::TileCoordsPyramid> region | ( |  | self ) |

QVector<Marble::TileCoordsPyramid> routeRegion | ( |  | self ) |

calculates the region to be downloaded around a route

setAllowedTileLevelRange | ( | self, |
|  | int | minimumTileLevel,
|  | int | maximumTileLevel
| ) |  |  |

setSelectionMethod | ( | self, |
|  | Marble.DownloadRegionDialog.SelectionMethod | a0
| ) |  |  |

setSpecifiedLatLonAltBox | ( | self, |
|  | Marble.GeoDataLatLonAltBox | a0
| ) |  |  |

setVisibleLatLonAltBox | ( | self, |
|  | Marble.GeoDataLatLonAltBox | a0
| ) |  |  |

setVisibleTileLevel | ( | self, |
|  | int | tileLevel
| ) |  |  |

showEvent | ( | self, |
|  | QShowEvent | event
| ) |  |  |

updateTextureLayer | ( |  | self ) |

## Enumeration Documentation

SelectionMethod

Enumerator:

  VisibleRegionMethod |
  SpecifiedRegionMethod |
  RouteDownloadMethod |